fix some minor bugs
authorIan Kelling <iank@fsf.org>
Sat, 9 Sep 2017 19:08:16 +0000 (12:08 -0700)
committerIan Kelling <iank@fsf.org>
Sat, 9 Sep 2017 19:20:13 +0000 (12:20 -0700)
README
faiserver-setup
myfai-chboot-local
pxe-server

diff --git a/README b/README
index 72669bb4658496a349cd4a30f66dcf280e2cd3d8..3c9b6d2d8850316cf8c5d8e445debecd286476a7 100644 (file)
--- a/README
+++ b/README
@@ -55,8 +55,8 @@ fai-redep # Deploy fai configuration to host "faiserver"
 faiserver-revm # using pxe & preseed, create a vm which is a fai server
 faiserver-uninstall # uninstall fai-server
 faiserver-setup # install fai-server on the current machine
-myfai-chboot # setup fai tftp and nfs. useful with pxe-kexec
-pxe-server # disable/enable pxe dhcp, tfp, and nfs
+myfai-chboot # setup fai tftp and nfs. useful for doing pxe-kexec
+pxe-server # disable/enable pxe dhcp, tfp, and nfs. calls myfai-chboot
 wrt-setup-remote  # setup my router in general: dhcp, dns, etc.
 
 
index 69e783b54d542a89fc67ea95a3abdc9ece5e9217..0bf61caf12940d5f559a53de2155bc55b61d2ed5 100755 (executable)
@@ -147,14 +147,14 @@ fi
 # tried out a stretch base, doesn't work yet.
 #
 $sed -f - /etc/fai/nfsroot.conf <<EOF
+$ a FAI_ROOTPW="$(</q/root/shadow/standard)"
+/^\s*FAI_ROOTPW/d
 s,^( *FAI_DEBOOTSTRAP=).*,\1"$base $r",
 # add --arch amd64. this is needed on arm system which is
 # used to install amd64 clients. On amd64 servers, it's redundant.
 # disabled for now, since creating fai nfsroot on my arm machine
 # is not working
 #/--arch amd64/!s/^(\s*FAI_DEBOOTSTRAP_OPTS=")/\1--arch amd64 /
-/^\s*FAI_ROOTPW/d
-$ a FAI_ROOTPW="$(</q/root/shadow/standard)"
 EOF
 
 $sed 's/#LOGUSER/LOGUSER/' /etc/fai/fai.conf
index c990fdf39456b179549bab45ebe0d8e28f1f31f3..58babc14c750e088c4fd25cf0cd7bc08a81898be 100755 (executable)
@@ -1,6 +1,9 @@
 #!/bin/bash
 
-x="$(readlink -f "$BASH_SOURCE")"; source "${x%/*}/bash-trace"
+# note, this script gets piped to bash, so cant cd to current dir
+set -eE -o pipefail
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
+
 
 fai_action_arg=I
 fai_reboot_arg=,reboot
@@ -18,7 +21,13 @@ esac
 
 [[ $EUID == 0 ]] || exec sudo "${BASH_SOURCE}" "$@"
 
-e() { echo "$@"; "$@"; }
+e() {
+    echo "$*"
+    if ! "$@"; then
+        echo "$0: error: exit code $? from: $*"
+        exit 1
+    fi
+}
 
 host=$1
 
@@ -38,6 +47,8 @@ fi
 my_ip=${network%/*}
 if [[ $host == default ]]; then
     ip=$network
+elif [[ $host == [0-9]*.[0-9]*.[0-9]*.[0-9]* ]]; then
+    ip=$host
 else
     ip=$(host $host | sed -rn 's/^\S+ has address //p;T;q')/32
 fi
index 8b3399ea806f6147cb6608bfdcb5fd8305bf6c0d..63373e37e8f46249b72b9f84fe5d7cd3e49387a8 100755 (executable)
@@ -45,7 +45,7 @@ TYPE       One of arch, plain, fai.
            for os boot. Sometimes on debian, there is a 3rd one shortly
            after the 2nd. I can't remember exactly why this caused a
            problem, but I'm hoping the sleep will take care of it.
--S         Pass -S to fai-chboot.
+-S         sets FAI_ACTION=sysinfo, see myfai-chboot for more info.
 -w         Setup pxe, then wait like -a.
 -h|--help  Print help and exit